Subject: [bug#33565] [PATCH] gnu: Add python-xmltodict.

From: Oleg Pykhalov <[email-masked]>
Date: Tue, 04 Dec 2018 08:13:44 +0300

Hi Ludovic.

Thank you for review.

[email-masked] (Ludovic Courtès) writes:

> Oleg Pykhalov <[email-masked]> skribis:
>
>> * gnu/packages/xml.scm (python-xmltodict, python2-xmltodict): New variables.
>
> [...]
>
>> +    (home-page "https://github.com/martinblech/xmltodict")
>> +    (synopsis "Work with XML like you are working with JSON")
>> +    (description "This package provides a Python library to work with XML like
>> +you are working with JSON")
>
> Could you expound a bit on what this means (I’m curious!) and add a
> period?

It's a quote from the home page. :-) But in reality this Python library
converts input string which contains XML to an OrderedDict object which
looks like a JSON.  Queries for data inside OrderedDict feels (I guess)
like you're working with JSON.  Maybe we should change a description to
“This package provides a Python library to convert XML to OrderedDict.”,
WDYT?

>> +(define-public python2-xmltodict
>> +  (package-with-python2 python-xmltodict))
>
> Unless you really need it, you should omit the Python 2.x variant.

Sure, I'll omit.

Oleg.